| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Slots | Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions
Tp::Client::ConnectionInterfaceAliasingInterface Class Reference
Connection proxies

`#include <TelepathyQt/Connection>`

Inherits Tp::AbstractInterface.

List of all members.

## Public Slots

- QDBusPendingReply< uint > GetAliasFlags (int timeout=-1)
- QDBusPendingReply< QStringList > RequestAliases (const Tp::UIntList &contacts, int timeout=-1)
- QDBusPendingReply< Tp::AliasMap > GetAliases (const Tp::UIntList &contacts, int timeout=-1)
- QDBusPendingReply SetAliases (const Tp::AliasMap &aliases, int timeout=-1)

## Signals

- void AliasesChanged (const Tp::AliasPairList &aliases)

## Public Member Functions

- ConnectionInterfaceAliasingInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
- ConnectionInterfaceAliasingInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
- ConnectionInterfaceAliasingInterface (Tp::DBusProxy *proxy)
- ConnectionInterfaceAliasingInterface (const Tp::Client::ConnectionInterface &mainInterface)
- ConnectionInterfaceAliasingInterface (const Tp::Client::ConnectionInterface &mainInterface, QObject *parent)
- Tp::PendingVariantMap * requestAllProperties () const

## Static Public Member Functions

- static QLatin1String staticInterfaceName ()

## Protected Member Functions

- virtual void invalidate (Tp::DBusProxy *, const QString &, const QString &)

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Connection.Interface.Aliasing".

## Constructor & Destructor Documentation

Tp::Client::ConnectionInterfaceAliasingInterface::ConnectionInterfaceAliasingInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a ConnectionInterfaceAliasingInterface associated with the given object on the session bus.

Parameters:

  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::ConnectionInterfaceAliasingInterface::ConnectionInterfaceAliasingInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a ConnectionInterfaceAliasingInterface associated with the given object on the given bus.

Parameters:

  connection | The bus via which the object can be reached.
  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::ConnectionInterfaceAliasingInterface::ConnectionInterfaceAliasingInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a ConnectionInterfaceAliasingInterface associated with the same object as the given proxy.

Parameters:

  proxy | The proxy to use. It will also be the QObject::parent() for this object.

Tp::Client::ConnectionInterfaceAliasingInterface::ConnectionInterfaceAliasingInterface | ( | const Tp::Client::ConnectionInterface & | mainInterface | ) | `[explicit]`

Creates a ConnectionInterfaceAliasingInterface associated with the same object as the given proxy. Additionally, the created proxy will have the same parent as the given proxy.

Parameters:

  mainInterface | The proxy to use.

Tp::Client::ConnectionInterfaceAliasingInterface::ConnectionInterfaceAliasingInterface | ( | const Tp::Client::ConnectionInterface & | mainInterface,
|  | QObject * | parent
| ) |  |

Creates a ConnectionInterfaceAliasingInterface associated with the same object as the given proxy. However, a different parent object can be specified.

Parameters:

  mainInterface | The proxy to use.
  parent | Passed to the parent class constructor.

## Member Function Documentation

static QLatin1String Tp::Client::ConnectionInterfaceAliasingInterface::staticInterfaceName | ( |  | ) | `[inline, static]`

Returns the name of the interface "org.freedesktop.Telepathy.Connection.Interface.Aliasing", which this class represents.

Returns:
  The D-Bus interface name.

Tp::PendingVariantMap* Tp::Client::ConnectionInterfaceAliasingInterface::requestAllProperties | ( |  | ) | const`[inline]`

Request all of the DBus properties on the interface.

Returns:
  A pending variant map which will emit finished when the properties have been retrieved.

QDBusPendingReply<uint> Tp::Client::ConnectionInterfaceAliasingInterface::GetAliasFlags | ( | int | timeout = `-1` | ) | `[inline, slot]`

Begins a call to the D-Bus method `GetAliasFlags` on the remote object.

Return a bitwise OR of flags detailing the behaviour of aliases on this connection.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters:

  timeout | The timeout in milliseconds.

Returns:

An integer with a bitwise OR of flags from ConnectionAliasFlags

QDBusPendingReply<QStringList> Tp::Client::ConnectionInterfaceAliasingInterface::RequestAliases | ( | const Tp::UIntList & | contacts,
|  | int | timeout = `-1`
| ) |  | `[inline, slot]`

Begins a call to the D-Bus method `RequestAliases` on the remote object.

Request the value of several contacts' aliases at once.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters:

  contacts | An array of handles representing contacts
  timeout | The timeout in milliseconds.

Returns:

A list of aliases in the same order as the contact handles

QDBusPendingReply<Tp::AliasMap> Tp::Client::ConnectionInterfaceAliasingInterface::GetAliases | ( | const Tp::UIntList & | contacts,
|  | int | timeout = `-1`
| ) |  | `[inline, slot]`

Begins a call to the D-Bus method `GetAliases` on the remote object.

Request the value of several contacts' aliases at once. This SHOULD only return cached aliases, falling back on the contact identifier (i.e. the string corresponding to the handle) if none is present. Also if there was no cached alias, a request SHOULD be started of which the result is later signalled by AliasesChanged.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters:

  contacts | An array of handles representing contacts
  timeout | The timeout in milliseconds.

Returns:

A dictionary mapping contact handles to aliases

QDBusPendingReply Tp::Client::ConnectionInterfaceAliasingInterface::SetAliases | ( | const Tp::AliasMap & | aliases,
|  | int | timeout = `-1`
| ) |  | `[inline, slot]`

Begins a call to the D-Bus method `SetAliases` on the remote object.

Request that the alias of the given contact be changed. Success will be indicated by emitting an AliasesChanged signal. On connections where the CONNECTION_ALIAS_FLAG_USER_SET flag is not set, this method will only ever succeed if the contact is the user's own handle (as returned by Connection.GetSelfHandle).

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters:

  aliases | A dictionary mapping integer handles of contacts to strings of the new alias to set.
  timeout | The timeout in milliseconds.

void Tp::Client::ConnectionInterfaceAliasingInterface::AliasesChanged | ( | const Tp::AliasPairList & | aliases | ) | `[signal]`

Represents the signal `AliasesChanged` on the remote object.

Signal emitted when a contact's alias (or that of the user) is changed.

Parameters:

  aliases

  An array containing structs of:
  - the handle representing the contact
  - the new alias

void Tp::Client::ConnectionInterfaceAliasingInterface::invalidate | ( | Tp::DBusProxy * | proxy,
|  | const QString & | error,
|  | const QString & | message
| ) |  | `[protected, virtual]`

Reimplemented from Tp::AbstractInterface.